Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.util.log
Class JdkLoggerImpl

    java.lang.Object
      org.modeshape.common.util.Logger
          org.modeshape.common.util.log.JdkLoggerImpl

    public class JdkLoggerImpl

extends Logger

Logger that delivers messages to a JDK logger

Since:
  2.5

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.common.util.Logger
`Logger.Level`

Field Summary

Fields inherited from class org.modeshape.common.util.Logger
`LOGGING_LOCALE`

Constructor Summary
`JdkLoggerImpl(String category)`

Method Summary
`void` | `debug(String message, Object... params)` Log a message at the DEBUG level according to the specified format and (optional) parameters.
`void` | `debug(Throwable t, String message, Object... params)` Log an exception (throwable) at the DEBUG level with an accompanying message.
`void` | `error(I18n message, Object... params)` Log a message at the ERROR level according to the specified format and (optional) parameters.
`void` | `error(Throwable t, I18n message, Object... params)` Log an exception (throwable) at the ERROR level with an accompanying message.
`String` | `getName()` Return the name of this logger instance.
`void` | `info(I18n message, Object... params)` Log a message at the INFO level according to the specified format and (optional) parameters.
`void` | `info(Throwable t, I18n message, Object... params)` Log an exception (throwable) at the INFO level with an accompanying message.
`boolean` | `isDebugEnabled()` Return whether messages at the DEBUG level are being logged.
`boolean` | `isErrorEnabled()` Return whether messages at the ERROR level are being logged.
`boolean` | `isInfoEnabled()` Return whether messages at the INFORMATION level are being logged.
`boolean` | `isTraceEnabled()` Return whether messages at the TRACE level are being logged.
`boolean` | `isWarnEnabled()` Return whether messages at the WARNING level are being logged.
`void` | `trace(String message, Object... params)` Log a message at the TRACE level according to the specified format and (optional) parameters.
`void` | `trace(Throwable t, String message, Object... params)` Log an exception (throwable) at the TRACE level with an accompanying message.
`void` | `warn(I18n message, Object... params)` Log a message at the WARNING level according to the specified format and (optional) parameters.
`void` | `warn(Throwable t, I18n message, Object... params)` Log an exception (throwable) at the WARNING level with an accompanying message.

Methods inherited from class org.modeshape.common.util.Logger
`getLevel, getLogger, getLogger, getLoggingLocale, log, log, setLoggingLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdkLoggerImpl

    public JdkLoggerImpl(String category)

Method Detail

### getName

    public String getName()

  Description copied from class: `Logger`
  Return the name of this logger instance.

  Specified by:
    `getName` in class `Logger`
  Returns:
    the logger's name

### isTraceEnabled

    public boolean isTraceEnabled()

  Description copied from class: `Logger`
  Return whether messages at the TRACE level are being logged.

  Specified by:
    `isTraceEnabled` in class `Logger`
  Returns:
    true if TRACE log messages are currently being logged, or false otherwise.

### isDebugEnabled

    public boolean isDebugEnabled()

  Description copied from class: `Logger`
  Return whether messages at the DEBUG level are being logged.

  Specified by:
    `isDebugEnabled` in class `Logger`
  Returns:
    true if DEBUG log messages are currently being logged, or false otherwise.

### isInfoEnabled

    public boolean isInfoEnabled()

  Description copied from class: `Logger`
  Return whether messages at the INFORMATION level are being logged.

  Specified by:
    `isInfoEnabled` in class `Logger`
  Returns:
    true if INFORMATION log messages are currently being logged, or false otherwise.

### isWarnEnabled

    public boolean isWarnEnabled()

  Description copied from class: `Logger`
  Return whether messages at the WARNING level are being logged.

  Specified by:
    `isWarnEnabled` in class `Logger`
  Returns:
    true if WARNING log messages are currently being logged, or false otherwise.

### isErrorEnabled

    public boolean isErrorEnabled()

  Description copied from class: `Logger`
  Return whether messages at the ERROR level are being logged.

  Specified by:
    `isErrorEnabled` in class `Logger`
  Returns:
    true if ERROR log messages are currently being logged, or false otherwise.

### debug

    public void debug(String message,
                      Object... params)

  Description copied from class: `Logger`
  Log a message at the DEBUG level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. This method is efficient and avoids superfluous object creation when the logger is disabled for the DEBUG level.

  Specified by:
    `debug` in class `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### debug

    public void debug(Throwable t,
                      String message,
                      Object... params)

  Description copied from class: `Logger`
  Log an exception (throwable) at the DEBUG level with an accompanying message. If the exception is null, then this method calls `Logger.debug(String, Object...)`.

  Specified by:
    `debug` in class `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### error

    public void error(I18n message,
                      Object... params)

  Description copied from class: `Logger`
  Log a message at the ERROR level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. This method is efficient and avoids superfluous object creation when the logger is disabled for the ERROR level.

  Specified by:
    `error` in class `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### error

    public void error(Throwable t,
                      I18n message,
                      Object... params)

  Description copied from class: `Logger`
  Log an exception (throwable) at the ERROR level with an accompanying message. If the exception is null, then this method calls `Logger.error(I18n, Object...)`.

  Specified by:
    `error` in class `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### info

    public void info(I18n message,
                     Object... params)

  Description copied from class: `Logger`
  Log a message at the INFO level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. This method is efficient and avoids superfluous object creation when the logger is disabled for the INFO level.

  Specified by:
    `info` in class `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### info

    public void info(Throwable t,
                     I18n message,
                     Object... params)

  Description copied from class: `Logger`
  Log an exception (throwable) at the INFO level with an accompanying message. If the exception is null, then this method calls `Logger.info(I18n, Object...)`.

  Specified by:
    `info` in class `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### trace

    public void trace(String message,
                      Object... params)

  Description copied from class: `Logger`
  Log a message at the TRACE level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. This method is efficient and avoids superfluous object creation when the logger is disabled for the TRACE level.

  Specified by:
    `trace` in class `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### trace

    public void trace(Throwable t,
                      String message,
                      Object... params)

  Description copied from class: `Logger`
  Log an exception (throwable) at the TRACE level with an accompanying message. If the exception is null, then this method calls `Logger.trace(String, Object...)`.

  Specified by:
    `trace` in class `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### warn

    public void warn(I18n message,
                     Object... params)

  Description copied from class: `Logger`
  Log a message at the WARNING level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. This method is efficient and avoids superfluous object creation when the logger is disabled for the WARNING level.

  Specified by:
    `warn` in class `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### warn

    public void warn(Throwable t,
                     I18n message,
                     Object... params)

  Description copied from class: `Logger`
  Log an exception (throwable) at the WARNING level with an accompanying message. If the exception is null, then this method calls `Logger.warn(I18n, Object...)`.

  Specified by:
    `warn` in class `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.